Update blog post
PATCH
/api/v1/content/blog-posts/{post_id}
const url = 'https://api.ultimateteam.ai/api/v1/content/blog-posts/example';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"category":"example","content":"example","description":"example","seo_keywords":["example"],"seo_meta_description":"example","status":"example","tags":["example"],"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ultimateteam.ai/api/v1/content/blog-posts/example \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "category": "example", "content": "example", "description": "example", "seo_keywords": [ "example" ], "seo_meta_description": "example", "status": "example", "tags": [ "example" ], "title": "example" }'Update a blog post.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”post_id
required
Post Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BlogPostUpdate
Request body for updating a blog post.
object
seo_keywords
Any of:
Array<string>
null
tags
Any of:
Array<string>
null
Examplegenerated
{ "category": "example", "content": "example", "description": "example", "seo_keywords": [ "example" ], "seo_meta_description": "example", "status": "example", "tags": [ "example" ], "title": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
BlogPostResponse
Response body for a single blog post.
object
ai_disclosure_included
Ai Disclosure Included
boolean
author
Author
string
category
required
Category
string
content
required
Content
string
created_at
required
Created At
string format: date-time
description
required
Description
string
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
reading_time_minutes
Reading Time Minutes
integer
seo_keywords
Seo Keywords
Array
seo_meta_description
Seo Meta Description
string
slug
required
Slug
string
status
required
Status
string
tags
Tags
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
updated_at
required
Updated At
string format: date-time
word_count
Word Count
integer
Example
{ "ai_disclosure_included": true, "author": "UltimateTeam CMO", "reading_time_minutes": 0, "seo_meta_description": "", "word_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}